linkify pub package

Low-level link (text, URLs, emails) parsing library in Dart.

Flutter library.

Pub - API Docs - GitHub

Install

Install by adding this package to your pubspec.yaml:

dependencies:
  linkify: ^1.0.1

Usage

import 'package:linkify/linkify.dart';

linkify("Made by https://cretezy.com");
// Output: [TextElement: 'Made by ', LinkElement: 'https://cretezy.com' (https://cretezy.com), TextElement: ' ', EmailElement: 'person@example.com' (person@example.com)]

Libraries

linkify